%{?nodejs_find_provides_and_requires}

%global packagename csv
%global enable_tests 0
# There are no tests

Name:		nodejs-csv
Version:	0.4.6
Release:	1%{?dist}
Summary:	CSV parser with simple api, full of options and tested against large datasets

License:	BSD
URL:		https://github.com/wdavidw/node-csv.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	coffee-script
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
CSV parser with simple api, full of options and tested against large datasets.


%prep
%setup -q -n package

# remove the pre-build scripts
rm lib/*.js

%nodejs_fixdep csv-generate

%build
%{_bindir}/coffee -c -b -o lib/ src/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
echo "There are no tests"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Nov  7 2015 Jared Smith <jsmith@fedoraproject.org> - 0.4.6-1
- Initial packaging
